#ifndef _MGRAPH_HH
#define _MGRAPH_HH

#include <vector>

#include "const.hh"
#include "thesymbols.hh"
#include "../common/common.h"


using namespace std;

class MNode
{
public:

  char           type[MAXFORMLEN];
  Cat            cat;
  int            pos;
  vector<MNode*> pred;
  vector<int>    snodes;

  void           clear() { snodes.clear(); };
};

class MGraph
{
 public:

  MNode nodes[MAXNODES];
  int   n;

  void clear() { n=0; };
  int add_node(char* seg);
};

#endif
